localStorage.setItem('reloadMain', 1);

loadBenefitsLevel2();

function loadBenefitsLevel2(){

    var divLoading = document.getElementById('Benefits2Loading');
        divLoading.style.display = 'block';

    $.ajax({
        url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultBenefits',
        dataType: 'json',
        data: {
            api_key: '5dbc13a70ad1194aafb202894bb088a3',
            levelId: 2
        },
        success: function(response) {

            if ('1' == response.responseCode){
                
                printBenefitsL2(response.benefits);
            }

            divLoading.style.display = 'none';
        }
    });

}



function printBenefitsL2(benefits) {

    var imagecontiner = document.getElementById('touchslider-benefitsL2-image-continer');
    var navigatorImg = document.getElementById('touchslider-nav_benefitsL2');
   
    var elments=0;

    for (var r in benefits) {
         var benefit = benefits[r];

            elments=elments+1;
            var benefitSlide = document.createElement('div');
                benefitSlide.classList.add('touchslider-item_benefitsL2');
                benefitSlide.setAttribute('iddotL2', elments);

            imagecontiner.appendChild(benefitSlide);

            var navItem = document.createElement('a');
                navItem.setAttribute('id', "dotL2" + elments);
                navItem.classList.add('touchslider-nav-item_benefitsL2');
            
            
            navigatorImg.appendChild(navItem);

            var benefitImg = document.createElement('img');
                benefitImg.setAttribute('srcH', benefit.benefitUrlImg);
                benefitImg.setAttribute('srcV', benefit.benefitUrlImg);
                benefitImg.classList.add('touchslider-img_benefitsL2');
            
            benefitSlide.appendChild(benefitImg);

    }
    
    document.getElementById('dotL21').style.backgroundColor="#9D5947";
    $(".touchslider_benefitsL2").touchSlider({
        container: this,
        duration: 350, 
        delay: 3500, 
        margin: 0, 
        mouseTouch: true,
        namespace: "touchslider_benefitsL2",
        next: ".touchslider-next_benefitsL2", 
        pagination: ".touchslider-nav-item_benefitsL2",
        currentClass: "touchslider-nav-item-current_benefitsL2", 
        prev: ".touchslider-prev_benefitsL2",
        autoplay: true, 
        viewport: ".touchslider-viewport_benefitsL2",
        callback: function(slide) {
              
            for(var l=1; l<=elments;l++){
                document.getElementById('dotL2' + l).style.backgroundColor="transparent";        
            }

            var id = slide.getAttribute('iddotL2');
            document.getElementById('dotL2' + id).style.backgroundColor="#9D5947";
        }
    });

    resizeImageBenefitsL2();
}

function resizeImageBenefitsL2() {
    var benefitsBody = document.getElementById('benefitsBodyL2');
    var sliders = benefitsBody.querySelectorAll('.touchslider-img_benefitsL2');
    var viewport = benefitsBody.querySelector('.touchslider-viewport_benefitsL2');
    var vpWidth = document.documentElement.clientWidth;
    var vpHeight = document.documentElement.clientHeight;
    var deviceRatio = vpWidth / vpHeight;

    var viewportTop = viewport.offsetTop;
    var heightNav = benefitsBody.querySelector('.touchslider-nav_benefitsL2').offsetHeight;
    var navavStyles = window.getComputedStyle(benefitsBody.querySelector('.touchslider-nav_benefitsL2'));
    var navMargins = parseFloat(navavStyles['marginTop']);
    var navHeight = navMargins + heightNav;

    viewport.style.width = vpWidth + 'px';
    vpHeight = vpHeight - viewportTop - navHeight -130;
    viewport.style.height = vpHeight + 'px';
    var vpRatio = vpWidth / vpHeight;

    var benefitsSrc = 'srcH';
    if (deviceRatio <= 1) {
        benefitsSrc = 'srcV';
    }
    
    var sliderLoaded = 0;
    for (var s = 0; s < sliders.length; s++) {
        
        var slide = sliders[s];
        slide.onload = function() {

            if (sliderLoaded >= sliders.length) {
                benefitsBody.style.backgroundImage = 'none';
            }

            var slide = this;
            var imageWidth = slide.clientWidth;
            var imageHeight = slide.clientHeight;
            var ratio = imageWidth / imageHeight;
           
            if (ratio > vpRatio) {
                slide.style.width = vpWidth + 'px';
                slide.style.height = (vpWidth / ratio) + 'px';
            } else {
                slide.style.width = vpWidth + 'px';
                slide.style.height = vpHeight + 'px';
            }
            viewport.style.width = slide.style.width;
            slide.style.visibility = 'visible';
        };
        slide.src = slide.getAttribute(benefitsSrc);
        slide.onclick = function() {
            
            //window.open(this.src, "_self", "location=no");
        };
    }
};