//localStorage.setItem('reloadMain', 1);

loadBenefitsLevel3();

function loadBenefitsLevel3(){

    var divLoading = document.getElementById('Benefits3Loading');
        divLoading.style.display = 'block';

    $.ajax({
        url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultBenefits',
        dataType: 'json',
        data: {
            api_key: '5dbc13a70ad1194aafb202894bb088a3',
            levelId: 3
        },
        success: function(response) {

            if ('1' == response.responseCode){

                printBenefitsL3(response.benefits);
            }

            divLoading.style.display = 'none';
        }
    });
}


function printBenefitsL3(benefits) {

    var imagecontiner = document.getElementById('touchslider-benefitsL3-image-continer');
    var navigatorImg = document.getElementById('touchslider-nav_benefitsL3');
   
    var elments=0;

    for (var r in benefits) {
         var benefit = benefits[r];

            elments=elments+1;
            var benefitSlide = document.createElement('div');
                benefitSlide.classList.add('touchslider-item_benefitsL3');
                benefitSlide.setAttribute('iddotL3', elments);

            imagecontiner.appendChild(benefitSlide);

            var navItem = document.createElement('a');
                navItem.setAttribute('id', 'dotL3' + elments);
                navItem.classList.add('touchslider-nav-item_benefitsL3');
            
            
            navigatorImg.appendChild(navItem);

            var benefitImg = document.createElement('img');
                benefitImg.setAttribute('srcH', benefit.benefitUrlImg);
                benefitImg.setAttribute('srcV', benefit.benefitUrlImg);
                benefitImg.classList.add('touchslider-img_benefitsL3');
            
            benefitSlide.appendChild(benefitImg);

    }
    
    document.getElementById('dotL31').style.backgroundColor="#A9BE08";
    $(".touchslider_benefitsL3").touchSlider({
        container: this,
        duration: 350, 
        delay: 3500, 
        margin: 0, 
        mouseTouch: true,
        namespace: "touchslider_benefitsL3",
        next: ".touchslider-next_benefitsL3", 
        pagination: ".touchslider-nav-item_benefitsL3",
        currentClass: "touchslider-nav-item-current_benefitsL3",
        prev: ".touchslider-prev_benefitsL3",
        autoplay: true, 
        viewport: ".touchslider-viewport_benefitsL3",
        callback: function(slide) {
            
            for(var l=1; l<=elments;l++){
                document.getElementById('dotL3' + l).style.backgroundColor="transparent";        
            }

            var id = slide.getAttribute('iddotL3');
            document.getElementById('dotL3' + id).style.backgroundColor="#A9BE08";
        }
    });

    resizeImageBenefitsL3();
}

function resizeImageBenefitsL3() {
    var benefitsBody = document.getElementById('benefitsBodyL3');
    var sliders = benefitsBody.querySelectorAll('.touchslider-img_benefitsL3');
    var viewport = benefitsBody.querySelector('.touchslider-viewport_benefitsL3');
    var vpWidth = document.documentElement.clientWidth;
    var vpHeight = document.documentElement.clientHeight;
    var deviceRatio = vpWidth / vpHeight;

    var viewportTop = viewport.offsetTop;
    var heightNav = benefitsBody.querySelector('.touchslider-nav_benefitsL3').offsetHeight;
    var navavStyles = window.getComputedStyle(benefitsBody.querySelector('.touchslider-nav_benefitsL3'));
    var navMargins = parseFloat(navavStyles['marginTop']);
    var navHeight = navMargins + heightNav;

    viewport.style.width = vpWidth + 'px';
    vpHeight = vpHeight - viewportTop - navHeight -130;
    viewport.style.height = vpHeight + 'px';
    var vpRatio = vpWidth / vpHeight;

    var benefitsSrc = 'srcH';
    if (deviceRatio <= 1) {
        benefitsSrc = 'srcV';
    }
    
    var sliderLoaded = 0;
    for (var s = 0; s < sliders.length; s++) {
        
        var slide = sliders[s];
        slide.onload = function() {

            if (sliderLoaded >= sliders.length) {
                benefitsBody.style.backgroundImage = 'none';
            }

            var slide = this;
            var imageWidth = slide.clientWidth;
            var imageHeight = slide.clientHeight;
            var ratio = imageWidth / imageHeight;
           
            if (ratio > vpRatio) {
                slide.style.width = vpWidth + 'px';
                slide.style.height = (vpWidth / ratio) + 'px';
            } else {
                slide.style.width = vpWidth + 'px';
                slide.style.height = vpHeight + 'px';
            }
            viewport.style.width = slide.style.width;
            slide.style.visibility = 'visible';
        };
        slide.src = slide.getAttribute(benefitsSrc);
        slide.onclick = function() {

            //window.open(this.src, "_self", "location=no");
        };
    }
};