var LogOut = false;

function backToEarnPoints(){
    window.location.hash = '#EarnPoints.html';
}

function sendReceiptCode(){

    var target = localStorage.getItem('ScanTarget');
    var thisCode = document.getElementById('earnPointsCode').value;
    var isNotNaN = isNaN(thisCode);

    if ( isNotNaN == false ){

        if (target == '0'){
            EarnPointsProcess(thisCode);
        }else{
            UpgradeLevelMember(thisCode);
        }
        
    }else{
        
        alert('Please enter a valid code!');
        
    }
    
}

function UpgradeLevelMember(thisCode){

    var authToken = localStorage.getItem('login_authorizedToken'),
        memberId = localStorage.getItem('login_memberId'),
        tempThisCode = thisCode;
   
    document.getElementById('earnPointsCodeLoading').style.display = 'block';
    
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Upgrade',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberId,
               levelId: localStorage.getItem('login_levelId'),
               code: thisCode
           },
           success: function(response) {
           
               document.getElementById('earnPointsCodeLoading').style.display = 'none';
           
               var resultCode = response.responseCode
               if('1' == response.responseCode){
           
                   localStorage.setItem('login_levelId', response.levelId);
                   SetPushMessage(response.messagePushTitle, response.messagePush);
           
                   LoginGoRewardsManual(1);
           
               }else if (response.responseCode == 401){

                    RequestNewToken(authToken, memberId, tempThisCode);
               }else{
           
                   document.getElementById('earnPointsManual_Result').style.display = 'block';
                   document.getElementById('earnPointsManual_Result-Message').innerHTML = response.responseMessage;
           
               }
           }, error: function(data){
           
               var statusRequest = data.status;
               if ( statusRequest == 401){
               }
           
           }
    });
}


function EarnPointsProcess(thisCode){

    var authToken = localStorage.getItem('login_authorizedToken'),
        memberId = localStorage.getItem('login_memberId');
    
    if (validEarnManualCodeForm() == true){
    
        document.getElementById('earnPointsCodeLoading').style.display = 'block';
        
        $.ajax({
               url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/EarnPoints',
               dataType: 'json',
               data: {
                   authorizedToken: authToken,
                   memberId: memberId,
                   receiptCode: thisCode
               },
               success: function(response) {
               
                    document.getElementById('earnPointsCodeLoading').style.display = 'none';
               
                   var resultCode = response.responseCode
                   if('1' == response.responseCode){
               
                       document.getElementById('earnPointsManual_Result-Title').innerHTML = 'All right!';
                       document.getElementById('earnPointsManual_Result').style.display = 'block';
                       document.getElementById('earnPointsManual_Result-Message').innerHTML = response.responseMessage;

                   }else{
                        if ( '-31' == response.responseCode ){
                          LogOut = true;
                        }
                        document.getElementById('earnPointsManual_Result').style.display = 'block';
                        document.getElementById('earnPointsManual_Result-Title').innerHTML = 'Oh, something went wrong!';
                        document.getElementById('earnPointsManual_Result-Message').innerHTML = response.responseMessage;

                   }
               }, error: function(data){
               
                   var statusRequest = data.status;
                   if ( statusRequest == 401){
                   }
               }
        });
    }
}

function closeEarnPointsManual(){

    if (LogOut == true){
      closeSession();
    }
    document.getElementById('earnPointsManual_Result').style.display = 'none';
}

function SetPushMessage(valTitle, valMessage){
    navigator.notification.alert(
            "" + valMessage,
            null,
            valTitle,
            "OK"
    );
}

function validEntry(element){
    if (element.value != ''){
        document.getElementById('eCode').innerHTML = "Receipt Code";
        document.getElementById('eCode').style.color = '#FFFFFF';
    }
}
function validEarnManualCodeForm(){
    
    var manualEarnCode = document.getElementById('earnPointsCode'),
        resultFrm = true;
    
    if (manualEarnCode.value == ''){
        
        //manualEarnCode.style.backgroundColor = '#ffe2fc';
        document.getElementById('eCode').innerHTML = "Please provide a Receipt Code";
        document.getElementById('eCode').style.color = '#33A1D6';
        resultFrm = false;
        
    }else if(document.getElementById('eCode').style.color == '#33A1D6'){

        resultFrm = false;
        
    }else{
        
        //manualEarnCode.style.backgroundColor = 'white';
        document.getElementById('eCode').innerHTML = "Receipt Code";
        document.getElementById('eCode').style.color = '#FFFFFF';
    }
    
    return resultFrm;
}


function LoginGoRewardsManual(ReloadFnc){
    
    var email = localStorage.getItem('login_email');
    var passwd = localStorage.getItem('login_password');
    
    if (email == null){
        email = localStorage.getItem('member_email');
        passwd = localStorage.getItem('login_passwd');
    }
    
    document.getElementById('earnPointsCodeLoading').style.display = 'block';
    doOnLogin();
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Login',
           dataType: 'json',
           data: {
                api_key: '5dbc13a70ad1194aafb202894bb088a3',
                user: email,
                password: passwd,
                facebookId: '',
                channel: '1'
           },
           success: function(response) {
           
               document.getElementById('earnPointsCodeLoading').style.display = 'none';
               console.log('response ', response);
               if (0 == response.responseCode) {
               } else {
           
               for (var key in response) {
           
                   console.log(key, response[key]);
                   localStorage.setItem('login_' + key, response[key]);
           
               }
               localStorage.setItem('login_password', passwd);
               document.getElementById('logo').style.display = 'inline-block';
               document.getElementById('section-title').style.innerHTML = 'MY REWARDS';
               document.getElementById('section-title').style.textAlign = 'center';
               document.getElementById('section-title').style.color = '#000000'; document.getElementById('section-menu').style.display = 'inline-block';
               document.getElementById('section-title').style.innerHTML = 'MY REWARDS';
               document.getElementById('section-title').style.textAlign = 'center';
               document.getElementById('section-title').style.color = '#000000';

               setTimeout(function(){
                    window.location.hash = '#Rewards.html';//doOnLogin();
                    loadSection();
                    document.getElementById('earnPointsCodeLoading').style.display = 'none';
               },30);
           
           }
        }
    });
    
    
}

function doOnLogin(){
    
    var menuRewards = document.getElementById('main-option-rewards');
    
    try {
        menuRewards.children[0].setAttribute('href', '#Rewards.html');
    } catch (e) {
        console.log(e);
    }
    
    document.getElementById('log_in').style.display = 'none';
    document.getElementById('log_out').style.display = 'block';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'block';
    document.getElementById('registerjoin_option').style.display = 'none';
    document.getElementById('submenu-settings').style.borderBottom = '1px solid #ffffff';
    document.getElementById('JoinFB').style.display = 'none';
}

function RequestNewToken(authToken, memberID, thisCode){

    document.getElementById('rewardsLoading').style.display = 'block';
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/RequestToken',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberID
           },
           success: function(response) {
           
               document.getElementById('rewardsLoading').style.display = 'none';
           
               if (1 == response.responseCode) {

                    localStorage.setItem('login_authorizedToken', response.authorizedToken);
                    EarnPointsProcess(thisCode);
               }
           }
    });
    
}

function closeSession(){
    for (var l in localStorage) {
        if (l.substring(0, 6) == "login_") {
            console.log('remove ', l);
            localStorage.removeItem(l);
        }
    }

    var menuRewards = document.getElementById('main-option-rewards');
    try {
        menuRewards.children[0].setAttribute('href', '#Benefits.html');
    } catch (e) {
        console.log(e)
    }

    document.getElementById('log_in').style.display = 'block';
    document.getElementById('log_out').style.display = 'none';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'none';
    document.getElementById('registerjoin_option').style.display = 'block';
    document.getElementById('submenu-settings').style.borderBottom = 'none';
    document.getElementById('JoinFB').style.display = 'block';
    window.location.hash = 'Main.html';
    window.location.reload();
    return false;
}