
var member_Id = localStorage.getItem('login_memberId');
var member_token = localStorage.getItem('login_authorizedToken');

var pointsAvl = 0;
var pointsVal = 0;
var pointsMin = 0;
var pointsLim = 0;
var pointsMul = 0;

    consultBalance(member_token, member_Id);


function confirmPointsRedemption(){

    var result = validaFormRedeemPoints();

    if (result == true){
        
        var pointsRequested = document.getElementById('redeemPointsPoints');

        redeemPoints(member_token, member_Id, pointsRequested.value);
    }
}

function redeemPointsBack(){
    document.getElementById('redeemPointsTableConfirmed').style.display = "none";
    document.getElementById('redeempoints_optionBack').style.display = "none";
    
    document.getElementById('redeemPointsTable').style.display = "block";
    document.getElementById('redeempoints_optionRedeem').style.display = "block";
}




function validaFormRedeemPoints(){

    var pointsRequested = document.getElementById('redeemPointsPoints');
    var resultFrm = true;

    if (pointsAvl == '0' || pointsRequested.value == ''){
        
        //pointsRequested.style.backgroundColor = '#ffe2fc';
        document.getElementById('rpPoints').innerHTML = "Enter the amount to redeem";
        document.getElementById('rpPoints').style.color = "#33A1D6";
        resultFrm = false;
        
    }else{

        if ( pointsAvl < parseInt(pointsRequested.value) ){
            //pointsRequested.style.backgroundColor = '#ffe2fc';
            document.getElementById('rpPoints').innerHTML = "Not enough points to redeem";
            document.getElementById('rpPoints').style.color = "#33A1D6";
            resultFrm = false;
            
        }else{

            if (parseInt(pointsRequested.value) < pointsMin){

                //pointsRequested.style.backgroundColor = '#ffe2fc';
                document.getElementById('rpPoints').innerHTML = "Minimum redemption is " + pointsMin + " points";
                document.getElementById('rpPoints').style.color = "#33A1D6";
                resultFrm = false;
                
            }else{

                //pointsRequested.style.backgroundColor = 'white';
                document.getElementById('rpPoints').innerHTML = "Points";
                document.getElementById('rpPoints').style.color = "#FFFFFF";
                
            }
        }
    }
    return resultFrm;
}

function resetField(){
    
    var pointsRequested = document.getElementById('redeemPointsPoints');
    var pointsEq = 0;

    if (pointsRequested.value > 0){

        if (parseInt(pointsRequested.value) > parseInt(pointsAvl)){
            
            document.getElementById('rpPoints').innerHTML = "Not enough points to redeem.";
            document.getElementById('rpPoints').style.color = "#33A1D6";

        }else{
            
            pointsEq = parseInt(pointsRequested.value) * pointsVal;
            document.getElementById('rpPoints').innerHTML = "Points";
            document.getElementById('rpPoints').style.color = "#FFFFFF";
            document.getElementById('pointsValue').innerHTML = "$" + pointsEq.toFixed(2);
            
        }

    }else{
        document.getElementById('pointsValue').innerHTML = "$0.00";
    }
}

function consultBalance(authToken, memberID){

        $.ajax({
               url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultBalance',
               dataType: 'json',
               data: {
                   authorizedToken: authToken,
                   memberId: memberID
               },
               success: function(response) {
               
                    if (1 == response.responseCode) {
               
                        document.getElementById('redeemPoints_Data').innerHTML = response.balance;
                        pointsAvl = response.balance;
                        pointsVal = response.pointsValue;
                        pointsMin = response.minimumRedemptionAmount;
                        pointsLim = response.maximumRedemptionAmount;
                        pointsMul = response.multiples;
               
                    }
               },error: function (data){
                    var result = data.status;
               }
        });
}

function redeemPoints(authToken, memberID, points){
    
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/RedeemPoints',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberID,
               points: points
           },
           success: function(response) {
                if (1 == response.responseCode) {
           
                    document.getElementById('redeemPoints_Data').innerHTML = response.balance;
                    document.getElementById('codeRedeemPoints').innerHTML = response.authCode;
           
                    document.getElementById('redeemPointsConfirmed').innerHTML = points;
                    document.getElementById('redeemPointsTable').style.display = 'none';
                    document.getElementById('redeempoints_optionRedeem').style.display = 'none';
           
                    document.getElementById('redeemPointsTableConfirmed').style.display = 'block';
                    pointsAvl = response.balance;
           
                }else{
                   
                   if ( '-31' == response.responseCode ){
                      closeSession();

                   }
                   
                   document.getElementById('thisSection_Result').style.display = 'block';
                   document.getElementById('thisSection_Result-Message').innerHTML = response.responseMessage;
                   document.getElementById('thisSection_Result-Title').innerHTML = 'Oh, something went wrong!';
                }
           },error: function (data){
                var result = data.status;
           }
    });
    
}

function redeemPoints_CloseError(){
        document.getElementById('thisSection_Result').style.display = 'none';
}

function redeemPointsBack(){
    setTimeout(function(){
        window.location.hash = '#Rewards.html';
        loadSection();
    },30);
}

function slideSection(){
    $('html,body').animate({
        scrollTop: $("#spaceBar").offset().top
    }, 1000);  
}

function closeSession(){
    for (var l in localStorage) {
        if (l.substring(0, 6) == "login_") {
            console.log('remove ', l);
            localStorage.removeItem(l);
        }
    }

    var menuRewards = document.getElementById('main-option-rewards');
    try {
        menuRewards.children[0].setAttribute('href', '#Benefits.html')
    } catch (e) {
        console.log(e)
    }

    document.getElementById('log_in').style.display = 'block';
    document.getElementById('log_out').style.display = 'none';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'none';
    document.getElementById('registerjoin_option').style.display = 'block';
    document.getElementById('submenu-settings').style.borderBottom = 'none';
    document.getElementById('JoinFB').style.display = 'block';
    window.location.hash = 'Main.html';
    window.location.reload();
    return false;
}