

function storeDetails(thisElement){

    if(typeof thisElement === "undefined") {
        window.location.hash = 'Stores.html'
    }
    document.getElementById('storeDetails').style.display = 'block';    
    
    var storeName = thisElement.getAttribute('name');
    var storeAddress = thisElement.getAttribute('address');
    var storeDistance = thisElement.getAttribute('distance');
    var storeTime = thisElement.getAttribute('time');
    var openHours = thisElement.getAttribute('openHours');
    var isFactory = thisElement.getAttribute('isFactory');
    var phone1 = thisElement.getAttribute('phone1');
    var phone2 = thisElement.getAttribute('phone2');
    var phone3 = thisElement.getAttribute('phone3');
    var storeImg = '<img src="img/kkd.png" style="width: 80px;" />';
    var storeLat = thisElement.getAttribute('lat');
    var storeLng = thisElement.getAttribute('lng');
    
    window.storeLat = storeLat;
    window.storeLng = storeLng;
    window.isFactory = isFactory;
    
    document.getElementById('StoreImg').innerHTML = storeImg;
    document.getElementById('StoreName').innerHTML = '<span class="storeNameRowTitle">' + storeName + '</span>' +'<br/>'+storeAddress;    
    document.getElementById('StoreDistance').innerHTML = storeDistance+'<br/>'+storeTime;
    
    openHours = openHours.replace('<br/','').replace('>','') ;
    //openHours = openHours.replace(/\//g, "<br/>");
    //alert(openHours);
    document.getElementById('StoreHours').innerHTML = openHours;
    document.getElementById('StorePhones').innerHTML = '<a class="Link" href="tel:'+phone1+'">'+phone1+'</a><br/>'+'<a class="Link" href="tel:'+phone2+'">'+phone2+'</a><br/>'+'<a class="Link" href="tel:'+phone3+'">'+phone3+'</a>';
    initializeStoreGmap();               
}

function initializeStoreGmap() {

    var storeLat = window.storeLat;
    var storeLng = window.storeLng;
    var isFactory = window.isFactory;

    var myLatlng = new google.maps.LatLng(storeLat, storeLng);
    var mapOptions = {
        zoom: 12,
        center: myLatlng
    }

    var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);

    var markerTmp = "img/kkd.png";
                                 
  var marker = new google.maps.Marker({
      position: myLatlng,
      map: map,
      title: 'Location',
      icon: markerTmp
  });    
  var directionURL = buildDirectionsURL(window.userLatitude, window.userLongitude, storeLat, storeLng);
  document.getElementById('storeDirections').onclick = function(){
        console.log('VVV'); window.open(directionURL,"_blank","location=no");return false;
                
    };
}

function initStoreMap(){
    google.maps.event.addDomListener(window, 'load', initializeStoreGmap);
}

function buildDirectionsURL(userLatitude, userLongitude, destLatitude, destLongitude){
    return 'http://maps.google.com/maps?saddr='+userLatitude+','+userLongitude+'&daddr='+destLatitude+','+destLongitude+'';
}
