

/** 
    Order of execution
    loadGmapScript >>  
        initialize (trougth gmaps Script callback) >>  
            getGPSPosition() [inside the initialize function] >> 
                onSuccess (Througth callback) >>
                    appendSearchScript (inside the function onSuccess) >>
**/
loadGmapScript();



/** 
    This is the callback function fro the JSONP request
    content is the answer of the request  
**/
function storesInfo(content) {

    console.log("Respuesta de JSONP");
    document.getElementById('storeList').innerHTML = '<th colspan="2" style="text-align: left; height: 50px; color:#FFFFFF; font-family: MontserratBold; font-size:1em;">NEARBY RESTAURANTS</th><th><input id="arrow1" onclick="getGPSPosition(); window.arrow=1;" type="image" src="img/listStoresArrow1.png" /></th>';
    console.log(content);
    console.log(content.stores); 
    var storeNumber = null; 
    gmarkers = [];
    var stores = content.stores; 
                  
    stores.forEach(function(store) {
        
        console.log(store);
        storeNumber++;        
        
        var row=document.createElement('tr');
        var storeImage = row.insertCell(0);
        var storeNameTD = row.insertCell(1);
        var storeDistanceTime = row.insertCell(2);
        
        row.onclick = function() {
                        var storeMapDiv = document.getElementById('storeMap_html');
                        if (undefined != storeMapDiv) {
                            document.getElementById('content').removeChild(storeMapDiv);
                        }

                        window.storeDetailsData = this;
                        window.location.hash = 'storeMap.html'
                    }; 
        
        
        row.setAttribute('name',store.storeName);
        row.setAttribute('address',store.address);
        row.setAttribute('phone1',store.phone1);
        row.setAttribute('phone2',store.phone2);
        row.setAttribute('phone3',store.phone3);
       
        row.setAttribute('lat',store.lat);
        row.setAttribute('lng',store.lon);
        row.setAttribute('distance',store.distance);
        row.setAttribute('time',store.time);
        row.setAttribute('openHours',store.openHours);
        row.setAttribute('isFactory',store.isFactory);
        
        storeNameTD.innerHTML='<span class="storeNameRowTitle">' + store.storeName + '</span>' +'<br>'+store.address;
        storeNameTD.style.paddingRight = '5%';
        storeDistanceTime.innerHTML=store.distance+'<br>'+store.time;
        storeDistanceTime.style.width = '23%';
        storeDistanceTime.style.textAlign = 'right';
        storeImage.innerHTML= '<img src="img/Dona.svg" class="storeListImg" />';
        storeImage.style.width = '10%';
        
        document.getElementById('storeList').appendChild(row);
        var point = new google.maps.LatLng(store.lat, store.lon);
        var marker = createMarker(point, store.storeName + " " + storeNumber, storeNameTD.innerHTML, store.isFactory);
                 
    }); 
    markerCluster = new MarkerClusterer(map, gmarkers);          
}


function appendSearchScript(gps_lat, gps_lng){

    
    document.getElementById('appendScript').innerHTML = "";
    document.getElementById('storeList').innerHTML = '<img src="img/loading.gif" style="width: 2em; margin-left: 43%;" />';        
    
    var zipField = document.getElementById('addressOrZip');
    var lat = 39.150211;
    var lng = -101.795371;
    
    
    var siteurl = 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/stores';
    
    if (gps_lat&&gps_lng) {
        lat = gps_lat;
        lng = gps_lng;
    }
    
    var radius = 100;
    
    var query_type = 'all';
    var limit = 30;
    var address = '';
    var city = '';
    var state = '';
    var zip = '';
    var homeAddress = lat+',%20'+lng;
    var searchUrl = siteurl + '?api_key=5dbc13a70ad1194aafb202894bb088a3&callBack=storesInfo&lat='+lat+'&lon='+lng+'';
    
    if (zipField.value && window.arrow!=1) {
        zip = zipField.value;
        searchUrl = 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/find_store?api_key=5dbc13a70ad1194aafb202894bb088a3&callBack=storesInfo&searchInput='+zip+'&lat='+lat+'&lon='+lng+'';
    }
    
    var script = document.createElement('script');    
    script.src = searchUrl;
    document.getElementById('appendScript').appendChild(script);
    window.arrow=0;    
}



function getGPSPosition(){
    document.getElementById('geolocation').innerHTML = '<img src="img/loading.gif" style="width: 2em;" />';
    navigator.geolocation.getCurrentPosition(onSuccess, onError);
}

function onSuccess(position) {

    var element = document.getElementById('geolocation');
     
    element.innerHTML = 'Latitude: '           + position.coords.latitude              + '<br />' +
                        'Longitude: '          + position.coords.longitude             + '<br />' +
                        'Altitude: '           + position.coords.altitude              + '<br />' +
                        'Accuracy: '           + position.coords.accuracy              + '<br />' +
                        'Altitude Accuracy: '  + position.coords.altitudeAccuracy      + '<br />' +
                        'Heading: '            + position.coords.heading               + '<br />' +
                        'Speed: '              + position.coords.speed                 + '<br />' +
                        'Timestamp: '          +                                   position.timestamp          + '<br />';
    appendSearchScript(position.coords.latitude, position.coords.longitude);
    window.userLatitude = position.coords.latitude;
    window.userLongitude = position.coords.longitude;
    
    var myOptions = {
        zoom: 8,
        center: new google.maps.LatLng(position.coords.latitude, position.coords.longitude),                
    }
    map = new google.maps.Map(document.getElementById("multipleStoresMap"),
        myOptions);
        
}

function onError(error) {
    document.getElementById('geolocation').innerHTML = 'Unable to locate your device, please try again...';
    alert(
        'code: '    + error.code    + '\n' +
        'message: ' + error.message + '\n' +
        'Please turn your GPS on \n'    
    );
    appendSearchScript(39.150211, -101.795371);
}

function loadGmapScript() {
    var script = document.createElement('script');
    script.type = 'text/javascript';
    script.src = 'https://maps.googleapis.com/maps/api/js?key=AIzaSyAbZGg5W2I2195yIQrPEJv9pEN4Yt6q_Ow&v=3.exp&' + 'callback=initialize';
    document.body.appendChild(script);
}

var side_bar_html = "";
var gmarkers = [];
var map = null;
var markerclusterer = null;
var bounds = null;
var infowindow = null;

function createMarker(latlng, name, html, isFactory) {    
    var markerFile = "img/kkd.png";
    
    if(isFactory === '1') {
        markerFile = "img/kkdf.png";
    }
    
    var contentString = html;
    var marker = new google.maps.Marker({
        position: latlng,
        icon: markerFile
    });

    google.maps.event.addListener(marker, 'click', function () {
        infowindow.setContent(contentString);
        infowindow.open(map, marker);
    });
   
    gmarkers.push(marker);
    
    bounds.extend(marker.getPosition());
    map.fitBounds(bounds);
    side_bar_html += '<a href="javascript:myclick(' + (gmarkers.length - 1) + ')">' + name + '<\/a><br>';    
}

function myclick(i) {
    google.maps.event.trigger(gmarkers[i], "click");
}

function initialize() {       
    infowindow = new google.maps.InfoWindow({
        size: new google.maps.Size(150, 50)
    });       

    bounds = new google.maps.LatLngBounds();
   
    var myOptions = {
        zoom: 5,
        center: new google.maps.LatLng(39.150211, -101.795371)
        
    }
    map = new google.maps.Map(document.getElementById("multipleStoresMap"),
        myOptions);

    google.maps.event.addListener(map, 'click', function () {
        infowindow.close();
    });
    getGPSPosition();  

}

