function initPushwooshIOS() {
    var pushNotification = window.plugins.pushNotification;
    
   
    document.addEventListener('push-notification', function(event) {
                             
                              var notification = event.notification;
                            
                              navigator.notification.alert(
                                    "\n" + _subMessage,
                                    null,
                                    "Bombshells Officers Club",
                                    "OK"
                                );
                              
                              pushNotification.setApplicationIconBadgeNumber(0);
                              });
    
    pushNotification.onDeviceReady({pw_appid:"AF45B-1B5F9"});
    
    pushNotification.setApplicationIconBadgeNumber(0);
}

function registerNonMemberIfUnregisteredIOS(){
	var pushNotification = window.plugins.pushNotification;

	pushNotification.getPushToken(function(token) {
		if(!token) {
			alert('token does not exist, registering as non member!!!! ');
			registerNonMemberPushwooshIOS();
		}
	});
}


function registerNonMemberPushwooshIOS()
{
    var pushNotification = window.plugins.pushNotification;
    
    pushNotification.registerDevice(
        function(status) {
            var deviceToken = status['deviceToken'];

            console.warn('registerDevice: ' + deviceToken);
            onPushwooshIOSInitialized(deviceToken, false, 0);

            localStorage.pushwood_status = 1;
        },
        function(status) {
            console.warn('failed to register : ' + JSON.stringify(status));
            alert(JSON.stringify(['failed to register ', status]));

            localStorage.pushwood_status = 0;
        }
    );
}

function registerMemberPushwooshIOS(deviceId)
{
    var pushNotification = window.plugins.pushNotification;
    
    pushNotification.registerDevice(
            function(status) {
                var deviceToken = status['deviceToken'];

                console.warn('registerDevice: ' + deviceToken);
                onPushwooshIOSInitialized(deviceToken, true, deviceId);

                localStorage.pushwood_status = 2;
                                    
                $.ajax({
                    url: 'http://192.168.2.196:53055/WSRestAppMobile/LoyaltyBigOnion.svc/PWRegistration',
                    dataType: 'json',
                    data: {
                        api_key: '5dbc13a70ad1194aafb202894bb088a3',
                        memberId: deviceId
                    },
                    success: function(response) {
                      
                    }
                });
            },
            function(status) {
                console.warn('failed to register : ' + JSON.stringify(status));
                alert(JSON.stringify(['failed to register ', status]));
            }
    );
}


function unregisterPushwooshIOS()
{
	var pushNotification = window.plugins.pushNotification;
	pushNotification.unregisterDevice(function(status) {

        console.warn('unregister success');

        localStorage.pushwood_status = 0;
	},
	function(status) {
        console.warn('unregister failed');
		
	});
}

function onPushwooshIOSInitialized(pushToken, isMember, deviceId)
{

	console.warn('push token: ' + pushToken);

	var pushNotification = window.plugins.pushNotification;

	pushNotification.getPushToken(function(token) {
		console.warn('push token: ' + token);
	});

	pushNotification.getPushwooshHWID(function(token) {
		console.warn('Pushwoosh HWID: ' + token);
	});

	pushNotification.getTags(function(tags) {
		console.warn('tags for the device: ' + JSON.stringify(tags));
	},
	function(error) {
		console.warn('get tags error: ' + JSON.stringify(error));
	});

	if(isMember) {
	
		pushNotification.setTags({"IsMember":"yes", "memberId": deviceId},
		function(status) {
			console.warn('setTags success');
		},
		function(status) {
			console.warn('setTags failed');
		});
	} else {
		
		pushNotification.setTags({"IsMember":"no"},
		function(status) {
			console.warn('setTags success');
		},
		function(status) {
			console.warn('setTags failed');
		});
	}
}

function preLoad(deviceId){
    var pushNotification = cordova.require("pushwoosh-cordova-plugin.PushNotification");
    
    pushNotification.registerDevice(
                                    function(token){
                                    var deviceToken = token['deviceToken'];
                                    console.warn('Token en PreLoad:' + deviceToken);
                                    onPushwooshIOSInitialized(token.pushToken, true, deviceId);
                                    },
                                    function(status) {
                                    console.warn(JSON.stringify(['failed to register ', status]));
    });
};
