localStorage.setItem('reloadMain', 1);

loadBenefitsLevel1();

function loadBenefitsLevel1(){

        var divLoading = document.getElementById('Benefits1Loading');
            divLoading.style.display = 'block';
        
        $.ajax({
            url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultBenefits',
            dataType: 'json',
            data: {
                api_key: '5dbc13a70ad1194aafb202894bb088a3',
                levelId: 1
            },
            success: function(response) {

                if ('1' == response.responseCode){
                    
                    printBenefitsL1(response.benefits);
                }

                divLoading.style.display = 'none';
            }
        });

}

function printBenefitsL1(benefits) {

    var imagecontiner = document.getElementById('touchslider-benefits-image-continer');
    var navigatorImg = document.getElementById('touchslider-nav_benefits');

    var elments=0;

    for (var r in benefits) {
         var benefit = benefits[r];

            elments=elments+1;
            var benefitSlide = document.createElement('div');
                benefitSlide.classList.add('touchslider-item_benefits');
                benefitSlide.setAttribute('iddot', elments);

            imagecontiner.appendChild(benefitSlide);

            var navItem = document.createElement('a');
                navItem.setAttribute('id', "dot" + elments);
                navItem.classList.add('touchslider-nav-item_benefits');
            
            
            navigatorImg.appendChild(navItem);

            var benefitImg = document.createElement('img');
                benefitImg.setAttribute('srcH', benefit.benefitUrlImg);
                benefitImg.setAttribute('srcV', benefit.benefitUrlImg);
                benefitImg.classList.add('touchslider-img_benefits');
            
            benefitSlide.appendChild(benefitImg);

    }
    
    document.getElementById('dot1').style.backgroundColor="#33A1D6";
    $(".touchslider_benefits").touchSlider({
        container: this,
        duration: 350, 
        delay: 3500, 
        margin: 0, 
        mouseTouch: true,
        namespace: "touchslider_benefits",
        next: ".touchslider-next_benefits", 
        pagination: ".touchslider-nav-item_benefits",
        currentClass: "touchslider-nav-item-current_benefits", 
        prev: ".touchslider-prev_benefits",
        autoplay: true, 
        viewport: ".touchslider-viewport_benefits",
        callback: function(slide) {
              
            for(var l=1; l<=elments;l++){
                document.getElementById('dot' + l).style.backgroundColor="transparent";
            }

            var id = slide.getAttribute('iddot');
            document.getElementById('dot' + id).style.backgroundColor="#33A1D6";
        }
    });

    resizeImageBenefitsL1();
}

function resizeImageBenefitsL1() {
    var benefitsBody = document.getElementById('benefitsBody');
    var sliders = benefitsBody.querySelectorAll('.touchslider-img_benefits');
    var viewport = benefitsBody.querySelector('.touchslider-viewport_benefits');
    var vpWidth = document.documentElement.clientWidth;
    var vpHeight = document.documentElement.clientHeight;
    var deviceRatio = vpWidth / vpHeight;

    var viewportTop = viewport.offsetTop;
    var heightNav = benefitsBody.querySelector('.touchslider-nav_benefits').offsetHeight;
    var navavStyles = window.getComputedStyle(benefitsBody.querySelector('.touchslider-nav_benefits'));
    var navMargins = parseFloat(navavStyles['marginTop']);
    var navHeight = navMargins + heightNav;

    viewport.style.width = vpWidth + 'px';
    vpHeight = vpHeight - viewportTop - navHeight -130;
    viewport.style.height = vpHeight + 'px';
    var vpRatio = vpWidth / vpHeight;

    var benefitsSrc = 'srcH';
    if (deviceRatio <= 1) {
        benefitsSrc = 'srcV';
    }
    
    var sliderLoaded = 0;
    for (var s = 0; s < sliders.length; s++) {
        
        var slide = sliders[s];
        slide.onload = function() {

            if (sliderLoaded >= sliders.length) {
                benefitsBody.style.backgroundImage = 'none';
            }

            var slide = this;
            var imageWidth = slide.clientWidth;
            var imageHeight = slide.clientHeight;
            var ratio = imageWidth / imageHeight;
           
            if (ratio > vpRatio) {
                slide.style.width = vpWidth + 'px';
                slide.style.height = (vpWidth / ratio) + 'px';
            } else {
                slide.style.width = vpWidth + 'px';
                slide.style.height = vpHeight + 'px';
            }
            viewport.style.width = slide.style.width;
            slide.style.visibility = 'visible';
        };
        slide.src = slide.getAttribute(benefitsSrc);
        slide.onclick = function() {
            
            //window.open(this.src, "_self", "location=no");
        };
    }
};