var LogOut = false;

function OnScanCode(){
    
    cordova.plugins.barcodeScanner.scan(
        function (result){
                                        
            if (result.text != ""){
                                        
                var isNotNaN = isNaN(result.text);
                if ( isNotNaN == false ){
        
                    var target = localStorage.getItem('ScanTarget');

                    if (target == '0'){
                        EarnPointsProcess(result.text);
                                        
                    }else{
                        UpgradeLevelMember(result.text);
                                        
                    }
                    
                }else{
                                        
                    alert('Please scan a valid barcode!');

                }
            }
        },
        function (error){
            alert('Scan failed, please verify and try again!');
        }
    );
}

function UpgradeLevelMember(thisCode){

    var authToken = localStorage.getItem('login_authorizedToken'),
        memberId = localStorage.getItem('login_memberId'),
        tempThisCode = thisCode;
      
    document.getElementById('earnPointsLoading').style.display = 'block';
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Upgrade',
           dataType: 'json',
           data: {
                authorizedToken: authToken,
                memberId: memberId,
                levelId: localStorage.getItem('login_levelId'),
                code: thisCode
           },
           success: function(response) {

               document.getElementById('earnPointsLoading').style.display = 'none';
           
               var resultCode = response.responseCode
               if('1' == response.responseCode){
                 
                    localStorage.setItem('login_levelId', response.levelId);
           
                    SetPushMessage(response.messagePushTitle, response.messagePush);
           
                    LoginGoRewards(1);
               }else if (response.responseCode == 401){

                    RequestNewToken(authToken, memberId, tempThisCode);

               }else{
                   
                    document.getElementById('earnPoints_Result').style.display = 'block';
                    document.getElementById('earnPoints_Result-Message').innerHTML = response.responseMessage;
               }
           }, error: function(data){
           
               var statusRequest = data.status;
               if ( statusRequest == 401){

               }
           
           }
    });
}

function EarnPointsProcess(thisCode){
    
    var authToken = localStorage.getItem('login_authorizedToken'),
    memberId = localStorage.getItem('login_memberId');
    
    document.getElementById('earnPointsLoading').style.display = 'block';
    
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/EarnPoints',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberId,
               receiptCode: thisCode
           },
           success: function(response) {
           
                document.getElementById('earnPointsLoading').style.display = 'none';
           
                var resultCode = response.responseCode
                if('1' == response.responseCode){

                    document.getElementById('earnPoints_Result').style.display = 'block';
                    document.getElementById('earnPoints_Result-Title').innerHTML = 'All right!';
                    document.getElementById('earnPoints_Result-Message').innerHTML = response.responseMessage;
           
                }else{
                    if ( '-31' == response.responseCode ){
                      LogOut = true;
                    }
                    document.getElementById('earnPoints_Result').style.display = 'block';
                    document.getElementById('earnPoints_Result-Title').innerHTML = 'Oh, something went wrong!';
                    document.getElementById('earnPoints_Result-Message').innerHTML = response.responseMessage;

                }
           }, error: function(data){
           
               var statusRequest = data.status;
               if ( statusRequest == 401){
               }
           }
    });
}

function closeEarnPoints(){
    if (LogOut == true){
      closeSession();
    }
    document.getElementById('earnPoints_Result').style.display = 'none';
}


function SetPushMessage(valTitle, valMessage){
    navigator.notification.alert(
            "" + valMessage,
            null,
            valTitle,
            "OK"
    );
}

function LoginGoRewards(ReloadFnc){

    var email = localStorage.getItem('login_email');
    var passwd = localStorage.getItem('login_password');
    
    if (email == null){
        email = localStorage.getItem('member_email');
        passwd = localStorage.getItem('login_passwd');
    }
    
    document.getElementById('earnPointsLoading').style.display = 'block';
    doOnLogin();
    
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Login',
           dataType: 'json',
           data: {
                api_key: '5dbc13a70ad1194aafb202894bb088a3',
                user: email,
                password: passwd,
                facebookId: '',
                channel: '1'
           },
           success: function(response) {
           
           
           
           console.log('response ', response);
           if (0 == response.responseCode) {
           
           } else {
           
               for (var key in response) {
           
                   console.log(key, response[key]);
                   localStorage.setItem('login_' + key, response[key]);
           
               }
               localStorage.setItem('login_password', passwd);

               document.getElementById('logo').style.display = 'inline-block';
               document.getElementById('section-menu').style.display = 'inline-block';
               document.getElementById('section-title').style.innerHTML = 'MY REWARDS';
               document.getElementById('section-title').style.textAlign = 'center';
               document.getElementById('section-title').style.color = '#000000';
           
               document.getElementById('earnPointsLoading').style.display = 'none';
               setTimeout(function(){
                    window.location.hash = '#Rewards.html';
                    loadSection();
               },30);
           }
        }
    });
    
  
}

function doOnLogin(){
    
    var menuRewards = document.getElementById('main-option-rewards');
    
    try {
        menuRewards.children[0].setAttribute('href', '#Rewards.html');
    } catch (e) {
        console.log(e);
    }
    
    document.getElementById('log_in').style.display = 'none';
    document.getElementById('log_out').style.display = 'block';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'block';
    document.getElementById('registerjoin_option').style.display = 'none';
    document.getElementById('submenu-settings').style.borderBottom = '1px solid #ffffff';
    document.getElementById('JoinFB').style.display = 'none';
}

function RequestNewToken(authToken, memberID, thisCode){

    document.getElementById('rewardsLoading').style.display = 'block';
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/RequestToken',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberID
           },
           success: function(response) {
           
               document.getElementById('rewardsLoading').style.display = 'none';
           
               if (1 == response.responseCode) {

                    localStorage.setItem('login_authorizedToken', response.authorizedToken);
                    EarnPointsProcess(thisCode);
               }
           }
    });
    
}

function closeSession(){
    for (var l in localStorage){
      if (l.substring(0,6) == "login_"){
        console.log('remove', l);
        localStorage.removeItem(l);
      }
    }

    var menuRewards = document.getElementById('main-option-rewards');
    try{
        menuRewards.children[0].setAttribute('href', '#Benefits.html');
    }catch (e){
        console.log(e)
    }

    document.getElementById('log_in').style.display = 'block';
    document.getElementById('log_out').style.display = 'none';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'none';
    document.getElementById('registerjoin_option').style.display = 'block';
    document.getElementById('submenu-settings').style.borderBottom = 'none';
    document.getElementById('JoinFB').style.display = 'block';
    window.location.hash = 'Main.html';
    window.location.reload();
    return false;
}