localStorage.setItem('windowHeight', window.innerHeight);

var lststores = document.getElementById("homeStore_lstStores");
document.getElementById("homeStore_lstStores").disabled = true;

var arr_IdStore = [];

window.onclick = hideToolTipsHome;
var eventHandle;
var isValidEmail = false;

setInterval(function(){
    if (localStorage.getItem('verify') == '0'){
        check_formPrefilled();
    }
},500);





document.getElementById('toggleBody').style.border = 'none';

document.getElementById('homeStoreLoading').style.display = 'block';
$.ajax({
        url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultStores',
        dataType: 'json',
        data: {
            api_key: '5dbc13a70ad1194aafb202894bb088a3'
        },
        success: function(response) {

            if ('1' == response.responseCode){
       
                document.getElementById('homeStoreLoading').style.display = 'none';
                var stores = response.stores;
                var elemento = 0;
                stores.forEach(function(stores) {
                    elemento++;
                    lststores.options[elemento] = new Option(stores.storeName);
                    arr_IdStore[elemento] = stores.StoreId;
                });
       
                document.getElementById('homeStore_lstStores').disabled = false;
       
            }
        }
});


document.getElementById("homeStore_lstStores").addEventListener('change', function(){
    
    if ( arr_IdStore[this.selectedIndex].toString() != 'undefined' ){

        localStorage.setItem( 'StoreIDSelected', arr_IdStore[this.selectedIndex] );
        localStorage.setItem( 'urlBenefit', this.value );
        document.getElementById("homeStore_lstStores").style.color = 'black';

    }else{
        
        document.getElementById("homeStore_lstStores").selectedIndex = 0;
    }
},false)


function setDensity(){
        var w = window,
        d = document,
        e = d.documentElement,
        g = d.getElementsByTagName('body')[0],
        y = window.screen.availHeight
        x = window.screen.availWidth       
        window.x = x;
        window.y = y;    

            var urlMenuJPG = '';
            var windowWidth = document.documentElement.clientWidth;
            var windowHeight = document.documentElement.clientHeight;

            if (windowWidth <= 320) {
                dsty = 'L';
            } else if (windowWidth <= 480) {
                dsty = 'L';
            } else if (windowWidth <= 640) {
                dsty = 'L';
            } else if (windowWidth <= 768) {
                dsty = 'H';
            } else if (windowWidth <= 1024) {
                dsty = 'H';
            } else if (windowWidth <= 2008) {
                dsty = 'H';
            }
}

function showToolTip(){
    
    navigator.notification.confirm(
            "Bombshells Officers Club stores your email to inform you about the rewards you have earned and specials deals. You can opt-out anytime.",
            null,
            "Email",
            ["OK"]
    );
   
    eventHandle = 1;

}

function hideToolTipsHome(e){
    
    if(eventHandle == 1){
    }else{
        document.getElementById('toolHomeStore').style.visibility = 'hidden';
    }
    eventHandle = 0;
    
}


function homestoreEmailValid(obj){
    
    if (obj.value != ''){
        var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        var result = regex.test(obj.value) ? true : false;
        
        isValidEmail = result;
        if (result == false){
            var labelMail = document.getElementById("hMail");
            labelMail.innerHTML = "Invalid email format";
            labelMail.style.color = "#33A1D6";
        }else{
            var labelMail = document.getElementById("hMail");
            labelMail.innerHTML = "Email";
            labelMail.style.color = "#FFFFFF";
        }
    }else{
        var labelMail = document.getElementById("hMail");
        labelMail.innerHTML = "Email";
        labelMail.style.color = "#FFFFFF";
        isValidEmail = false;
    }
    
}


function homeStoreValidForm(){
    
    var homeUser = document.getElementById('homeStoreEmail'),
        resultFrm = true;

    if (homeUser.value == '' || isValidEmail == false){
        //homeUser.style.backgroundColor = '#ffe2fc';
        document.getElementById('hMail').innerHTML = "Please provide an email";
        document.getElementById('hMail').style.color = "#33A1D6";
        resultFrm = false;
    }else{
        //homeUser.style.backgroundColor = 'white';
        document.getElementById('hMail').innerHTML = "Email";
        document.getElementById('hMail').style.color = "#FFFFFF";
    }
    
    var homeSelected = document.getElementById('homeStore_lstStores');
    if (homeSelected.selectedIndex == 0 ){
        //homeSelected.style.backgroundColor = '#ffe2fc';
        homeSelected.style.color = '#33A1D6';
        resultFrm = false;
    }else{
        //homeSelected.style.backgroundColor = 'white';
        homeSelected.style.color = '#000000';
    }

    if (resultFrm == true){
        var checkAcceptMails = document.getElementById("homestore_AcceptMails"),
            StateCheck = checkAcceptMails.checked ? 1:0;
        
        localStorage.setItem('login_acceptMails', StateCheck);
        
        if (StateCheck == 0){
            navigator.notification.confirm(
                    "We would like to notify when you earn rewards. If you wish to receive email notifications, please go back and tick the opt-in box (don't worry, you can always opt-out later).",
                    onConfirm,
                    "Bombshells Officers Club",
                    ["Back","Continue"]
            );
        }else{
            onConfirm(2);
        }
    }
}

function homeStoreClearForm(){
    
    var homeSelected = document.getElementById('homeStore_lstStores').selectedIndex = 0;
    var homeUser = document.getElementById('homeStoreEmail'),
    homeUserPlaceholder = document.getElementById('hMail');
   
    homeUserPlaceholder.style.color = '#FFFFFF';
    homeUserPlaceholder.innerHTML = 'Email';
    homeUser.value = '';
    divResp.innerHTML = '';
    
}

function onConfirm(buttonIndex){
    
    if ( buttonIndex == 2){
        var homeUser = document.getElementById('homeStoreEmail');
        document.getElementById('homeStoreLoading').style.display = 'block';
        
        $.ajax({
               url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/StatusEmail',
               dataType: 'json',
               data: {
                    eMailCardNumber: homeUser.value
               },
               success: function(response){
               
                    document.getElementById('homeStoreLoading').style.display = 'none';
                    if('-3' == response.responseCode){
               
                       localStorage.setItem('member_email', homeUser.value);
                       localStorage.setItem('verifyJoin', '0');
                       window.location.hash = 'MemberJoin.html';
               
                    }else{
               
                        document.getElementById('thisSection_Result').style.display = 'block';
                        document.getElementById('thisSection_Result-Message').innerHTML = response.responseMessage;
               
                    }
               
               
               },error: function(data){
               
               }
        });
    }
    
}

function homeStore_CloseError(){
    
     document.getElementById('thisSection_Result').style.display = 'none';
    
}

/*** This prevent overlaping the buttons on the text when the keyboard is displayed.***/
$(window).on("resize", function(){

    initialHeight = localStorage.getItem('windowHeight');

    if (window.innerHeight != initialHeight){

        document.getElementById('homeStore_Button').style.display = 'none';

    }else{

        document.getElementById('homeStore_Button').style.display = 'inline-block';

    }
});

function check_formPrefilled(){
    var email = localStorage.getItem('fb_mail');
    var formPrefilled = localStorage.getItem('form_prefill');

    localStorage.setItem('verify', '1');

    if (formPrefilled == '1'){
        $("#homeStoreEmail").val(email);
        isValidEmail = true;
    }else{
        $("#homeStoreEmail").val('');
        isValidEmail = false;
    }
    
}