var LogOut = false;

setEvent();

document.addEventListener("backbutton",validBack, false);
document.addEventListener("offline",onOffline, true);
document.addEventListener("online", onLine,true);

document.getElementById('log_in').style.display = 'none';
document.getElementById('registerjoin_option').style.display = 'none';
document.getElementById('JoinFB').style.display = 'none';

var tooltipVisible = false;

loadSection();

setInterval(function() {
           
    var reloadSection = localStorage.getItem('reload_rewards');
    if (reloadSection != null){
        console.log('CloseSession');
    }
}, 1000);


function onOffline(){
    localStorage.setItem('status_Internet', '0');
}
   
function onLine(){
    localStorage.setItem('status_Internet', '1');
}

(function($) {
    //isConnected();
})(jQuery);


function isConnected(){
  
    var netWorkState = navigator.connection.type;

    if ( netWorkState != 'none'){
            $.ajax({
                url: "https://illyrewards.loyalty3.com/LoyaltyMobileIllyCafe.svc/OnLine",
                jsonp: "callBack",
                dataType: "jsonp",
                timeout: 3000,
                success: function(response) {
                    loadSection();
                },error: function(response){
                    alert('Please verify your internet connection.');
                }
            });
    }else{
        alert('Please verify your internet connection.');
    }
}



function loadSection(){
   
    document.getElementById('my_rewards').innerHTML = '';
    document.getElementById('rewardsLoading').style.display = 'block';
    
    function addSpaces(x1) {
        x1 += '';
        var rgx = /(\d+)(\d{4})/;
        while (rgx.test(x1)) {
            x1 = x1.replace(rgx, '$1' + ' ' + '$2');
        }
        return x1;
    }

    var member_name = localStorage.getItem('login_name') + ' ' +  localStorage.getItem('login_lastName'),
        member_Id = localStorage.getItem('login_memberId'),
        member_since = localStorage.getItem('login_datRegister'),
        member_token = localStorage.getItem('login_authorizedToken'),
        member_balance = localStorage.getItem('login_balance'),
        member_lifetime = localStorage.getItem('login_lifetime'),
        member_card = localStorage.getItem('login_cardNumber'),
        member_level = localStorage.getItem('login_levelId'),
        member_email = localStorage.getItem('login_email');

        var emailPartA = member_email.split('@')[0];
        var emailPartB = member_email.split('@')[1];

        document.getElementById('rewards_member_name').innerHTML = member_name.replace(" ","<br/>");
        document.getElementById('rewards_member_since').innerHTML = member_since;
        document.getElementById('rewards_balance_points').innerHTML = (member_balance==null)?0:member_balance;
        document.getElementById('rewards_balance_lifetime').innerHTML = (member_lifetime==null)?0:member_lifetime;
        document.getElementById('rewards_cardnumber').innerHTML = splitCard(member_card);
        
        if (member_email.length > 15 ){
            document.getElementById('rewards_emailMember').innerHTML = emailPartA + '<br/>@' + emailPartB;
        }else{
            document.getElementById('rewards_emailMember').innerHTML = member_email;
        }

        document.getElementById('rewards_list').style.display = 'block';
        document.getElementById('rewards_menu').style.display = 'block';



        $.ajax({
            url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultRewards',
            dataType: 'json',
            data: {
                authorizedToken: member_token,
                memberId: member_Id
            },
            success: function(response) {
               
                console.log('response ', response);
                document.getElementById('rewardsLoading').style.display = 'none';
                if ('1' != response.responseCode) {
               
                    if (response.responseCode == '401'){

                        RequestNewToken(member_token, member_Id);

                    }else if ('-31' == response.responseCode){

                        LogOut = true;
                        document.getElementById('thisSection_Result').style.display = 'block';
                        document.getElementById('thisSection_Result-Message').innerHTML = response.responseMessage;
                    }
                } else if('1' == response.responseCode) {

                    setImgLevel(response.levelId);


                    var rewardsContent = document.getElementById('my_rewards');
                        rewardsContent.innerHTML = "";
                        
                    for (var r in response.rewards) {
                        var theReward = response.rewards[r]
                        console.log(theReward);


                        var reward = document.createElement('li');
                        if (response.levelId == 1){
                            reward.classList.add('reward');

                        }else if (response.levelId == 2){
                            reward.classList.add('rewardMajor');

                        }else if (response.levelId == 3){
                            reward.classList.add('rewardGeneral');
                        } 

                            
                        var rewardRow = document.createElement('div');
                            rewardRow.classList.add('rewardRow');

                        var rewardsName = document.createElement('div');
                            rewardsName.classList.add('rewards_name');
               
                        var rewardsDesc = document.createElement('div');
                            rewardsDesc.classList.add('rewards_desc');
               
                        var rewardsExpires = document.createElement('div');
                            rewardsExpires.classList.add('reward_expiration');

               
                        rewardsName.innerHTML = theReward.title;
                        rewardsName.setAttribute('hd_rewardName', theReward.description); //Description);
                        rewardsName.setAttribute('hd_rewardExpires', theReward.expiration);
                        rewardsName.setAttribute('hd_rewardImgUrl', theReward.image);
                        rewardsName.setAttribute('hd_rewardType', theReward.type);
                        rewardsName.setAttribute('hd_rewardId', theReward.rewardId);
                        rewardsName.setAttribute('hd_rewardTitle', theReward.title);
               

                        rewardsDesc.innerHTML = theReward.description;
                        rewardsDesc.setAttribute('hd_rewardName', theReward.description);
                        rewardsDesc.setAttribute('hd_rewardExpires', theReward.expiration);
                        rewardsDesc.setAttribute('hd_rewardImgUrl', theReward.image);
                        rewardsDesc.setAttribute('hd_rewardType', theReward.type);
                        rewardsDesc.setAttribute('hd_rewardId', theReward.rewardId);
                        rewardsDesc.setAttribute('hd_rewardTitle', theReward.title);
               
               
                        rewardsExpires.innerHTML = 'Expires: ' + theReward.expiration;
                        rewardsExpires.setAttribute('hd_rewardName', theReward.description);
                        rewardsExpires.setAttribute('hd_rewardExpires', theReward.expiration);
                        rewardsExpires.setAttribute('hd_rewardImgUrl', theReward.image);
                        rewardsExpires.setAttribute('hd_rewardType', theReward.type);
                        rewardsExpires.setAttribute('hd_rewardId', theReward.rewardId);
                        rewardsExpires.setAttribute('hd_rewardTitle', theReward.title);
               
                        rewardRow.appendChild(rewardsName);
                        rewardRow.appendChild(rewardsDesc);
                        rewardRow.appendChild(rewardsExpires);

                        reward.appendChild(rewardRow);
                        /*reward.appendChild(rewardsName);
                        reward.appendChild(rewardsDesc);
                        reward.appendChild(rewardsExpires);*/

                        rewardsContent.appendChild(reward);
                    }

                    var fCardNumber = localStorage.getItem('login_cardNumber');
                    document.getElementById('rewards_cardnumber').innerHTML = splitCard(fCardNumber); //.replace(" ","");
                    
                    consultBalanceInfo(member_token, member_Id, response.levelId);

               }
            }, error: function(data){
               var result = data.status;
               if ( result == '401'){
               
               }
            }
        });
 
    var cardNumber = localStorage.getItem('login_cardNumber');
   
}



function getEventTarget(e) {
    e = e || window.event;
    var tar = e.srcElement;

    if (tar.getAttribute("hd_rewardName") != null){

        localStorage.setItem('_hdrewardName', 'null');
        localStorage.setItem('_hdrewardExpi', 'null');
        localStorage.setItem('_hdrewardIUrl', 'null');
        localStorage.setItem('_hdrewardFNam', 'null');
        localStorage.setItem('_hdrewardType', 'null');
        localStorage.setItem('_hdrewardRwId', 'null');
        localStorage.setItem('_hdrewardTitl', 'null');
        
        localStorage.setItem('_hdrewardName', tar.getAttribute("hd_rewardName"));
        localStorage.setItem('_hdrewardExpi', tar.getAttribute("hd_rewardExpires"));
        localStorage.setItem('_hdrewardIUrl', tar.getAttribute("hd_rewardImgUrl"));
        localStorage.setItem('_hdrewardFNam', tar.getAttribute("hd_rewardFileName"));
        localStorage.setItem('_hdrewardType', tar.getAttribute("hd_rewardType"));
        localStorage.setItem('_hdrewardRwId', tar.getAttribute("hd_rewardId"));
        localStorage.setItem('_hdrewardTitl', tar.getAttribute("hd_rewardTitle"));

        document.getElementById('Form1').style.display = 'none';
        document.getElementById('Form2').style.display = 'block';
        _rewardDetail();
        return e.target || e.srcElement;
    } 
}


function onBackKey() {
    
    _backToRewards();
}

function onBackKeyDown(){
    
    _backToRewards();
}

function _backToRewards(){
    
    document.getElementById('Form1').style.display = 'block';
    document.getElementById('Form2').style.display = 'none';
    document.getElementById('my_rewards').innerHTML = '';
    loadSection();
}

function validBack(){
    
    var jash = window.location.hash;
    if (jash + "" == "#Rewards.html"){
        
        document.getElementById('Form1').style.display = 'block';
        document.getElementById('Form2').style.display = 'none';
        
    }else{}
    
    
    var _visible = document.getElementById('Form2').style.display;
    if (_visible + ""  == "block"){
        
        window.location.hash = '#Rewards.html';
        window.open('#Rewards.html','window',_self);
        window.location.reload();
        
    }
    
}
 
function _rewardDetail(){
    
    var _memberName = document.getElementById('rewards_member_name').innerHTML;
    var _cardNumber = document.getElementById('rewards_cardnumber'); /*.innerHTML;*/
    var _rew = localStorage.getItem('_hdrewardName');
    var _exp = localStorage.getItem('_hdrewardExpi');
    var _url = localStorage.getItem('_hdrewardIUrl');
    var _img = localStorage.getItem('_hdrewardFNam');

    var LeerCache = false;
    var imgsrc = _url;


    $('<img/>').load(function () {
       document.getElementById('loginLoaddingDetail').style.display = 'none';
       document.getElementById('rewards_picture_details').innerHTML = "<img id='imgDetailReward' src='" + imgsrc +  "'/>";
       document.getElementById('rewards_picture_details').style.width = '95%';
       document.getElementById('rewards_picture_details').style.height = '95%';
    }).error(function () {
        if ( _rew != 'null' || _img != 'null' ){

        }
    }).attr('src', imgsrc);


    if( _url != 'null' ){

        document.getElementById('rewards_name_details').innerHTML = _memberName;
        document.getElementById('rewards_description1_details').innerHTML = "Enjoy your benefits:";
        document.getElementById('rewards_description2_details').innerHTML = _rew; 
        document.getElementById('rewards_expiration_details').innerHTML = "Expires: " + _exp;
        
        var speciasBody = document.getElementById('Form2');
        var slider = document.getElementById('rewards_picture_details');
        var viewport = document.getElementById('rewards_picture_details');
        var vpWidth = document.documentElement.clientWidth;
        var vpHeight = document.documentElement.clientHeight;
        var deviceRatio = vpWidth / vpHeight;
        var viewportTop = viewport.offsetTop;
        // Set Height Elements.
        var _heightRewardName = document.getElementById('rewards_name_details').offsetHeight;
        var _heightRewardDet1 = document.getElementById('rewards_description1_details').offsetHeight;
        var _heightRewardDet2 = document.getElementById('rewards_description2_details').offsetHeight;
        var _heightRewardExpi = document.getElementById('rewards_expiration_details').offsetHeight;
        viewport.style.width = vpWidth;
        vpHeight = vpHeight - _heightRewardName - _heightRewardDet1 - _heightRewardDet2 - viewportTop - _heightRewardExpi  - 80;
        vpRatio = vpWidth / vpHeight;
        document.getElementById('rewards_picture_details').innerHTML = "<img id='imgDetailReward' src='file:///sdcard/" +  _img + "' />";
        document.getElementById('rewards_picture_details').style.width = (vpWidth / vpRatio) + 'px';
        document.getElementById('rewards_picture_details').style.height = vpHeight + 'px';
    }
}


function rewards_refresh(){

    document.getElementById('my_rewards').innerHTML = '';
    var resultReload = validMemberLevel();
    if (resultReload == true){
        loadSection();
    }

}

function setTargetScan(){
    
    localStorage.setItem('ScanTarget', 0);
    
}

function openScanEarnPoint(){
    
    localStorage.setItem('ScanTarget', 1);
    window.location.hash = '#EarnPoints.html?v=' + Math.random();
    
}

function consultBalanceInfo(authToken, memberID, memberLevel){

    document.getElementById('rewardsLoading').style.display = 'block';
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/ConsultBalance',
           dataType: 'json',
           data: {
                authorizedToken: authToken,
                memberId: memberID
           },
           success: function(response) {
           
               document.getElementById('rewardsLoading').style.display = 'none';
           
               if (1 == response.responseCode) {
                
                    document.getElementById('rewards_balance_points').innerHTML = response.balance;
                    document.getElementById('rewards_balance_lifetime').innerHTML = response.lifetime;
               }

               setImgPercentToRedeem(response.textRow1Progress, response.textRow2Progress, response.nameBombProgress, memberLevel);
           }
    });
    
}


function setEvent(){
    
    localStorage.setItem('reloadMain', 1);
    
}

function openRedeemRewardSection(){

    var _memberId = localStorage.getItem('login_memberId');
    var _token = localStorage.getItem('login_authorizedToken');
    var _rewardTitle = localStorage.getItem('_hdrewardTitl');
    var _rewardType = localStorage.getItem('_hdrewardType');
    var _rewardId = localStorage.getItem('_hdrewardRwId');


    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/RedeemRewards',
           dataType: 'json',
           data: {
                authorizedToken: _token,
                memberId: _memberId,
                type: _rewardType,
                rewardId: _rewardId
           },
           success: function(response) {
        
               document.getElementById('rewardsLoading').style.display = 'none';
           
               if (1 == response.responseCode) {
           
                    document.getElementById('redeemReward_TitleReward').innerHTML = "You have redeemed your " + _rewardTitle;
                    document.getElementById('redeemReward_RedemptionCode').innerHTML = response.redemptionCode;
                    document.getElementById('Form2').style.display = 'none';
                    document.getElementById('FormRedemmReward').style.display = 'block';
           
               }else{
           
                   document.getElementById('thisSection_Result').style.display = 'block';
                   document.getElementById('thisSection_Result-Message').innerHTML = response.responseMessage;
           
               }
           }
    });
}

function  RequestNewToken(authToken, memberID){
    
    document.getElementById('rewardsLoading').style.display = 'block';
    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/RequestToken',
           dataType: 'json',
           data: {
               authorizedToken: authToken,
               memberId: memberID
           },
           success: function(response) {
           
               document.getElementById('rewardsLoading').style.display = 'none';
           
               if (1 == response.responseCode) {

                    localStorage.setItem('login_authorizedToken', response.authorizedToken);
                    loadSection();
               }
           }
    });
    
}

function redeemRewardBack(){
    document.getElementById('Form2').style.display = 'block';
    document.getElementById('FormRedemmReward').style.display = 'none';  
}

function rewards_CloseError(){
    if (LogOut == true){
        logoutSession();
    }
    document.getElementById('thisSection_Result').style.display = 'none';
    
}


function validMemberLevel(){
   
    var loginName = localStorage.getItem('login_email');
    var loginPassword =localStorage.getItem('login_password');

    var result = false;
    document.getElementById('rewardsLoading').style.display = 'block';

    $.ajax({
           url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Login',
           dataType: 'json',
           data: {
               api_key: '5dbc13a70ad1194aafb202894bb088a3',
               user: loginName,
               password: loginPassword,
               facebookId: '',
               channel: '1'
           },
           success: function(response) {
           
                result = true;
                document.getElementById('rewardsLoading').style.display = 'none';
                if('1' == response.responseCode){
           
                   for (var key in response) {
                        localStorage.setItem('login_' + key, response[key]);
                   }
           
                }
                document.getElementById('logo').style.display = 'inline-block';
                document.getElementById('section-menu').style.display = 'inline-block';
                document.getElementById('section-title').innerHTML = 'MY REWARDS';
                document.getElementById('section-title').style.textAlign = 'center';
                document.getElementById('section-title').style.color = '#000000';


            }, error: function(data){
                var statusRequest = data.status;
                if ( statusRequest == 401){
                }
            }
        });
    return result;
}

function setImgLevel(Yourlevel){

    var ImgLevel = document.getElementById('imgLevel'); 
    
    if (Yourlevel == 1){
        ImgLevel.src = 'img/hdpi/my rewards/Level_blu_1.png';
        
    }else if (Yourlevel == 2){
        ImgLevel.src = 'img/hdpi/my rewards/Level_brown_2.png';

    }else if (Yourlevel == 3){
        ImgLevel.src = 'img/hdpi/my rewards/Level_green_3.png';

    }
 }

 function setImgPercentToRedeem(txtRow1, txtRow2, imgBombName, memLevel){
    var colorBomb = '',
        ImgBomb = document.getElementById('imgRefresh');

    if (memLevel == 1){
        colorBomb = 'Blue_Bomb/Blue_'; 

    }else if(memLevel == 2){
        colorBomb = 'Brown_Bomb/Brown_'; 

    }else if(memLevel == 3){
        colorBomb = 'Green_Bomb/Green_'; 

    }

    //containerImgBomb.src = 'img/hdpi/my rewards/' + 'Bomb_'+ colorBomb + '_' + imgBombName + '.png';
    ImgBomb.src = 'img/hdpi/my rewards/' + colorBomb + imgBombName + '.png';
    document.getElementById('progressText1').innerHTML = txtRow1;
    document.getElementById('progressText2').innerHTML = txtRow2;    

 }


 function splitCard(cardNumber){

    var splitCard = "";

    if ( cardNumber.length == 16){
        splitCard = cardNumber.substring(0,4) + ' ' + cardNumber.substring(4,8) + ' ' + cardNumber.substring(8,12) + ' ' + cardNumber.substring(12,16);        
    }
    
    return splitCard;
 }

 function logoutSession(){

    for (var l in localStorage) {
        if (l.substring(0, 6) == "login_") {
            console.log('remove ', l);
            localStorage.removeItem(l);
        }
    }

    var menuRewards = document.getElementById('main-option-rewards');
    try {
        menuRewards.children[0].setAttribute('href', '#Benefits.html')
    } catch (e) {
        console.log(e)
    }

    document.getElementById('log_in').style.display = 'block';
    document.getElementById('log_out').style.display = 'none';
    document.getElementById('log_out').style.borderBottom = 'none';
    document.getElementById('submenu_rewards').style.display = 'none';
    document.getElementById('registerjoin_option').style.display = 'block';
    document.getElementById('submenu-settings').style.borderBottom = 'none';
    document.getElementById('JoinFB').style.display = 'block';
    window.location.hash = 'Main.html';
    window.location.reload();
    return false;
}