
localStorage.setItem('reloadMain', 1);

(function($) {

    //document.getElementById('storeMenuProgramNameTitle').addEventListener('DOMSubtreeModified', handler, true);


    var currentRes = getResolution();
    var divLoading = document.getElementById('StoreMenuLoading');
        divLoading.style.display = 'block';
    var objspecials = new Object();

    $.ajax({
        url: 'https://wsappbombshells.loyalty3.com/LoyaltyBombshells.svc/Menus',
        dataType: 'json',
        data: {
           api_key: '5dbc13a70ad1194aafb202894bb088a3',
           resolution: currentRes
        },
        success: function(response) {

            if ('1' == response.responseCode){
                var menus = response.menus;
                printMenu(menus);
            }
           
            divLoading.style.display = 'none';
        }
    });
})(jQuery);

/*function handler(){
    resizeImageMenu();
}*/

function resizeImageMenu() {

    var storeMenuBody = document.getElementById('storeMenuBody');
    var sliders = storeMenuBody.querySelectorAll('.touchslider-img_storeMenu');
    var viewport = storeMenuBody.querySelector('.touchslider-viewport_storeMenu');
    var vpWidth = document.documentElement.clientWidth;
    var vpHeight = document.documentElement.clientHeight;
    var deviceRatio = vpWidth / vpHeight;

    var viewportTop = viewport.offsetTop;
    var heightNav = storeMenuBody.querySelector('.touchslider-nav_storeMenu').offsetHeight;
    var navavStyles = window.getComputedStyle(storeMenuBody.querySelector('.touchslider-nav_storeMenu'));
    var navMargins = parseFloat(navavStyles['marginTop']);
    var navHeight = navMargins + heightNav;

    viewport.style.width = vpWidth + 'px';
    vpHeight = vpHeight - viewportTop - navHeight -100;
    viewport.style.height = vpHeight + 'px';
    var vpRatio = vpWidth / vpHeight;

    var storeMenuSrc = 'srcH';
    if (deviceRatio <= 1) {
        storeMenuSrc = 'srcV';
    }
    
    var sliderLoaded = 0;

    for (var s = 0; s < sliders.length; s++) {
        
        var slide = sliders[s];
        slide.onload = function() {
            console.log('Slider loaded: ', ++sliderLoaded);
            if (sliderLoaded >= sliders.length) {
                storeMenuBody.style.backgroundImage = 'none';
            }
            var slide = this;
            var imageWidth = slide.clientWidth;
            var imageHeight = slide.clientHeight;
            var ratio = imageWidth / imageHeight;
           
            if (ratio > vpRatio) {
                slide.style.width = vpWidth + 'px';
                slide.style.height = (vpWidth / ratio) + 'px';
            } else {
                slide.style.width = (vpHeight * ratio) + 'px';
                slide.style.height = vpHeight + 'px';
            }
            viewport.style.width = slide.style.width;
            console.log('w:', slide.style.width, 'h:', slide.style.height);
            slide.style.visibility = 'visible';
        };
        slide.src = slide.getAttribute(storeMenuSrc);
        slide.onclick = function() {
            
            window.open(this.src, "_self", "location=no");

            /*localStorage.setItem('sliderZoomed', this.src);
            window.location.hash = '#ViewerMenu.html';
            loadImgZoomed();*/
        };
    }
};

function printMenu(menus) {

    var imagecontiner = document.getElementById('touchslider-storeMenu-image-continer');
    var navigator = document.getElementById('touchslider-nav_storeMenu');
   
  
    var elments=0;

    for (var r in menus) {
         var menu = menus[r];

        document.getElementById('storeMenuProgramNameTitle').innerHTML = menu.menuName;
        elments=elments+1;

        var menuSlide = document.createElement('div');
            menuSlide.classList.add('touchslider-item_storeMenu');
            menuSlide.setAttribute('menuName', menu.menuName);
            menuSlide.setAttribute('iddot', elments);
        imagecontiner.appendChild(menuSlide);

        var navItem = document.createElement('a');
            navItem.setAttribute('id', "dot" + elments);
            navItem.classList.add('touchslider-nav-item_storeMenu');
            
            
        navigator.appendChild(navItem);

        var menuImg = document.createElement('img');
            menuImg.setAttribute('srcH', menu.menuUrlImg);
            menuImg.setAttribute('srcV', menu.menuUrlImg);
            menuImg.classList.add('touchslider-img_storeMenu');
            
        menuSlide.appendChild(menuImg);
        
    }
    
    var last =1;
    document.getElementById('storeMenuProgramNameTitle').innerHTML = $('.touchslider-item_storeMenu').first().attr('menuName');
    document.getElementById('dot' + last).style.backgroundColor="#963A29";
    $(".touchslider_storeMenu").touchSlider({
        container: this,
        duration: 350, 
        delay: 5000, 
        margin: 0, 
        mouseTouch: true,
        namespace: "touchslider_storeMenu",
        next: ".touchslider-next_storeMenu", 
        pagination: ".touchslider-nav-item_storeMenu",
        currentClass: "touchslider-nav-item-current_storeMenu", 
        prev: ".touchslider-prev_storeMenu",
        autoplay: true, 
        viewport: ".touchslider-viewport_storeMenu",
        callback: function(slide) {
            document.getElementById('storeMenuProgramNameTitle').innerHTML = slide.getAttribute('menuName');

            var id = slide.getAttribute('iddot');
            document.getElementById('dot' + id).style.backgroundColor="#963A29";
            document.getElementById('dot' + last).style.backgroundColor="transparent";
            last =  id;
        }
    });

    resizeImageMenu();
}

function getResolution(){
    var w = window,
    y = window.screen.availHeight
    x = window.screen.availWidth
    
    window.x = x;
    window.y = y;
    
    var resultRes = 'L'
    var windowWidth = document.documentElement.clientWidth;
    var windowHeight = document.documentElement.clientHeight;
    
    
    if (windowWidth <= 320) {
        resultRes = 'LDPI'
    } else if (windowWidth <= 480) {
        resultRes = 'LDPI'
    } else if (windowWidth <= 640) {
        resultRes = 'MDPI'
    } else if (windowWidth <= 768) {
        resultRes = 'HDPI'
    } else if (windowWidth <= 1024) {
        resultRes = 'XHDPI'
    } else if (windowWidth <= 2008) {
        resultRes = 'XXHDPI'
    }

    return resultRes;
}


/*function slideRight(){

    (function($) {
        $('.touchslider-next_storeMenu').click();
    })(jQuery);
}*/